CRL(1SSL)

NOM
crl - Utilitaire CRL

SYNOPSIS
openssl crl [-inform PEM|DER] [-outform PEM|DER] [-text] [-in nom_fichier] [-out nom_fichier] [-nameopt option] [-noout] [-hash] [-issuer] [-lastupdate] [-nextupdate] [-CAfile fichier] [-CApath rep]

DESCRIPTION
La commande crl analyse des fichiers CRL au format DER ou PEM.

OPTIONS DE LA COMMANDE

-inform DER|PEM
    Cela indique le format d'entrée. Le format DER est une structure CRL encodée au format DER. PEM (par défaut) est la version encodée en base64 de la forme DER avec des lignes supplémentaires au début et à la fin.

-outform DER|PEM
    Cela indique le format de sortie. Les options ont la même signification que pour l'option -inform.

-in nom_fichier
    Le nom du fichier d'entrée. Par défaut, l'entrée standard est utilisée.

-out nom_fichier
    Le nom du fichier de sortie. Par défaut, la sortie standard est utilisée.

-text
    Afficher la CRL sous forme texte.

-nameopt option
    Option qui détermine la façon d’afficher le sujet ou les noms d’émetteur. Consultez la description de -nameopt dans x509(1).

-noout
    Ne pas produire la version encodée de la CRL.

-hash
    Afficher un hachage du nom de l'émetteur. Cela peut servir à chercher des CRL dans un répertoire en fonction de l'émetteur.

-hash_old
    Afficher le « hachage » du nom de l’émetteur de la CRL en utilisant l’ancien algorithme tel qu’utilisé par les versions d’OpenSSL antérieures à 1.0.0.

-issuer
    Afficher le nom de l'émetteur

-lastupdate
    Afficher le champ lastUpdate indiquant la dernière mise à jour.

-nextupdate
    Afficher le champ nextUpdate indiquant la prochaine mise à jour.

-CAfile fichier
    Vérifier la signature d'une CRL en utilisant le certificat émetteur trouvé dans le fichier.

-CApath rép
    Vérifier la signature d'une CRL en utilisant le certificat émetteur trouvé dans le répertoire rép. Ce répertoire doit être un répertoire de certificats standard : c'est-à-dire avec des liens correspondant aux hachages des sujets (obtenus par x509 -hash) pointant vers chaque certificat.

NOTES
Le format de CRL PEM utilise les lignes suivantes au début et à la fin :

 -----BEGIN X509 CRL-----
 -----END X509 CRL-----

EXEMPLES
Convertir un fichier de CRL de PEM vers DER :

 openssl crl -in crl.pem -outform DER -out crl.der

Afficher sous forme texte un certificat encodé DER :

 openssl crl -in crl.der -text -noout

BOGUES
Idéalement, on devrait pouvoir créer une CRL en utilisant des options et fichiers appropriés.

VOIR AUSSI
crl2pkcs7(1), ca(1), x509(1)

TRADUCTION
Cette page de manuel a été traduite par arne en 2002 et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.